SYSTEMD-JOURNAL-GATEWAYD.SERVICE(8)

BEZEICHNUNG
systemd-journal-gatewayd.service, systemd-journal-gatewayd.socket, systemd-journal-gatewayd - HTTP-Server für Journal-Ereignisse

ÜBERSICHT

systemd-journal-gatewayd.service

systemd-journal-gatewayd.socket

/lib/systemd/systemd-journal-gatewayd [OPTIONEN…]

BESCHREIBUNG

systemd-journal-gatewayd bedient Journal-Ereignisse über das Netzwerk. Clients müssen sich mit HTTP verbinden. Der Server wartet standardmäßig auf Port 19531 auf Anfragen. Falls --cert= angegeben ist, erwartet der Server HTTPS-Verbindungen.

Das Programm wird durch systemd(1) gestartet und erwartet den Empfang eines einzelnen Sockets. Verwenden Sie zum Starten des Dienstes systemctl start systemd-journal-gatewayd.socket und systemctl enable systemd-journal-gatewayd.socket, um ihn beim Systemstart zu starten.

OPTIONEN

Die folgenden Optionen werden verstanden:

--cert=
    Gibt den Pfad zu einer Datei oder einem AF_UNIX-Datenstrom-Socket an, woraus das Server-Zertifikat gelesen wird. Das Zertifikat muss im PEM-Format vorliegen. Diese Option schaltet systemd-journal-gatewayd in den HTTPS-Modus um und muss zusammen mit --key= verwandt werden.

--key=
    Gibt den Pfad zu einer Datei oder einem AF_UNIX-Datenstrom-Socket an, woraus der Server-Geheimschlüssel, der dem mit --cert= festgelegten Zertifikat entspricht, gelesen wird. Das Zertifikat muss im PEM-Format vorliegen.

--trust=
    Gibt den Pfad zu einer Datei oder einem AF_UNIX-Datenstrom-Socket an, woraus das CA-Zertifikat gelesen wird. Das Zertifikat muss im PEM-Format vorliegen.

--system, --user
    Begrenzt die ausgelieferten Einträge auf Einträge von Systemdiensten und dem Kernel oder auf Einträge vom aktuellen Benutzer. Dies hat die gleiche Bedeutung wie die Optionen --system und --user für journalctl(1). Falls keine davon festgelegt ist, dann werden alle zugreifbaren Einträge ausgeliefert.

-m, --merge
    Liefert Einträge verschachtelt von allen verfügbaren Journals aus, einschließlich anderer Maschinen. Dies hat die gleiche Bedeutung wie die Option --merge für journalctl(1).

-D VERZEICHNIS, --directory=VERZEICHNIS
    Akzeptiert einen Verzeichnispfad als Argument. Falls angegeben, wird systemd-journal-gatewayd das angegebene Journal-Verzeichnis VERZ statt der vorgegebenen Laufzeit- und System-Journal-Pfade bedienen.

--file=GLOB
    Akzeptiert einen Datei-Glob als Argument. Liefert Einträge von den festgelegten Journal-Dateien, die auf GLOB passen, aus, statt von den Standard-Laufzeit- und System-Journal-Pfaden. Kann mehrfach angegeben werden, wodurch die Dateien geeignet verschachtelt werden. Dies hat die gleiche Bedeutung wie die Option --file= für journalctl(1).

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

UNTERSTÜTZTE URLS

Die folgenden URLs werden erkannt:

/browse
    Interaktives Browsen.

/entries[?Option1&Option2=Wert…]
    Abruf von Ereignissen in verschiedenen Formaten.

    Der Accept:-Anteil der HTTP-Kopfzeilen bestimmt das Format. Unterstützte Werte werden nachfolgend beschrieben.

    Der Range:-Anteil der HTTP-Kopfzeilen bestimmt den Bereich der zurückgelieferten Ereignisse. Unterstützte Werte werden nachfolgend beschrieben.

    GET-Parameter können zur Veränderung der Auswahl der zurückgelieferten Ereignisse verwandt werden. Unterstützte Parameter werden nachfolgend beschrieben.

/machine
    Liefert eine die Maschine beschreibende JSON-Struktur zurück.

    Beispiel:

        { "machine_id" : "8cf7ed9d451ea194b77a9f118f3dc446",
          "boot_id" : "3d3c9efaf556496a9b04259ee35df7f7",
          "hostname" : "fedora",
          "os_pretty_name" : "Fedora 19 (Rawhide)",
          "virtualization" : "kvm",
          …}

/fields/FELDNAME
    Liefert eine in den Protokollen vorhandende Liste von Werte dieses Feldes zurück.

ACCEPT-KOPFZEILEN

Accept: Format

Erkannte Formate:

text/plain
    Die Vorgabe. Syslog-artige Ausgabe im Klartext, eine Zeile pro Journal-Eintrag (wie journalctl --output short).

application/json
    Einträge werden als JSON-Datenstruktur formatiert, eine pro Zeile (wie journalctl --output json). Siehe Journal-JSON-Format[1] für weitere Informationen.

text/event-stream
    Einträge werden als JSON-Datenstrukturen, eingehüllt in einem für Server-gesandte Ereignisse[2] geeigneten Format, formatiert (wie journalctl --output json-sse).

application/vnd.fdo.journal
    Einträge werden in einen binären (aber primär textbasierten), für Datensicherungen und Netzwerktransfer geeigneten Datenstrom serialisiert (wie journalctl --output export). Siehe Journal Exportformat[3] für weitere Informationen.

BEREICHSKOPFZEILEN

Range: entries=Position[[:Ausl_Anz]:Eintrag_Anz]

wobei Position eine Positionszeichenkette, Ausl_Anz eine Ganzzahl und Eintrag_Anz eine vorzeichenfreie Ganzzahl ist.

Der Bereich umfasst standardmäßig alle Ereignisse.

URL GET-PARAMETER

Die folgenden Parameter können als Teil der URL verwandt werden:

follow
    Wartet auf neue Ereignisse (wie journalctl --follow, außer dass die Anzahl der zurückgelieferten Ereignisse nicht begrenzt wird).

discrete
    Prüft, ob sich die festgelegte Position auf einen Eintrag im Journal bezieht. Liefert nur diesen Eintrag zurück.

boot
    Begrenzt Ereignisse auf den derzeitigen Systemstart (wie journalctl -b).

KEY=Treffer
    Überprüft auf Journal-Felder. Siehe systemd.journal-fields(7).

BEISPIELE

Fragt Ereignisse von diesem Systemstart aus dem lokalen Journal im Journal-Exportformat[3] ab:

    curl --silent -H'Accept: application/vnd.fdo.journal' \
           'http://localhost:19531/entries?boot'

Warten auf Speicherauszüge:

    curl 'http://localhost:19531/entries?follow&MESSAGE_ID=fc2e22bc6ee647b6b90729ab34a250b1'

SIEHE AUCH

systemd(1), journalctl(1), systemd.journal-fields(7), systemd-journald.service(8), systemd-journal-remote.service(8), systemd-journal-upload.service(8)

ANMERKUNGEN

1.  Journal-JSON-Format
    https://systemd.io/JOURNAL_EXPORT_FORMATS#journal-json-format

2.  Server-gesandte Ereignisse
    https://developer.mozilla.org/de/docs/Web/API/Server-sent_events/Using_server-sent_events

3.  Journal-Exportformat
    https://systemd.io/JOURNAL_EXPORT_FORMATS#journal-export-format

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).